//
//  MesonIronSourceManager.h
//  MesonIronSourceAdapter
//
//  Created by vikas kumar jangir on 24/11/21.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "IronSourceRewardedVideoDelegate.h"
#import "IronSourceInterstitialDelegate.h"
@class MesonIronSourceManager;
NS_ASSUME_NONNULL_BEGIN

@interface MesonIronSourceManager : NSObject
@property(nonatomic, weak)id <IronSourceInterstitialDelegate> interstitialDelegate;
@property(nonatomic, weak)id <IronSourceRewardedVideoDelegate> rewardedDelegate;

+ (instancetype _Nonnull )sharedManager;

- (BOOL)isRewardedAdReady;
- (void)loadRewardedAdWithDelegate:(id<IronSourceRewardedVideoDelegate>_Nonnull)delegate;
- (void)presentRewardedAdFromViewController:(nonnull UIViewController *)viewController
                                placementId:(NSString *_Nonnull)placementId
                                   delegate:(id<IronSourceRewardedVideoDelegate>_Nonnull)delegate;

- (BOOL)isInterstitialAdReady;
- (void)loadInterstitialAdWithDelegate:(id<IronSourceInterstitialDelegate>_Nonnull)delegate;
- (void)presentInterstitialAdFromViewController:(nonnull UIViewController *)viewController
                                    placementId: (NSString *_Nonnull) placementId
                                       delegate:(id<IronSourceInterstitialDelegate>_Nonnull)delegate;

@end
NS_ASSUME_NONNULL_END
